# Copyright 2019 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# x86 AVX
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_u32
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_u32_acc2
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_u32_acc4
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_u64
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_u64_acc2
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_u64_acc4
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_u72
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_u72_acc3
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_u80
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_u80_acc2
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_u80_acc5
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_u96
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_u96_acc2
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_u96_acc3
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_u96_acc6

# x86 AVX512
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_u64
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_u64_acc2
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_u64_acc4
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_u128
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_u128_acc2
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_u128_acc4
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_u144
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_u144_acc3
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_u160
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_u160_acc2
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_u160_acc5
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_u192
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_u192_acc2
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_u192_acc3
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_u192_acc6
